Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737530 - python2-fedmsg fails to install due to missing Python 2 dependencies
Summary: python2-fedmsg fails to install due to missing Python 2 dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmsg
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On: 1737633
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-05 15:23 UTC by Miro Hrončok
Modified: 2019-11-02 21:20 UTC (History)
6 users (show)

Fixed In Version: fedmsg-1.1.1-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 17:25:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-05 15:23:17 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install python2-fedmsg
Problem: package python2-fedmsg-1.1.1-4.fc30.noarch requires python2-moksha-hub >= 1.3.2, but none of the providers can be installed
 - conflicting requests
 - nothing provides python2-stomper needed by python2-moksha-hub-1.5.17-1.fc30.noarch

Please fix this or remove the Python 2 package.

Comment 1 Miro Hrončok 2019-08-13 15:00:43 UTC
Error: 
 Problem: conflicting requests
  - nothing provides python2-moksha-hub >= 1.3.2 needed by python2-fedmsg-1.1.1-4.fc30.noarch

-----

In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Ben Cotton 2019-08-13 17:03:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2019-08-13 17:05:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Miro Hrončok 2019-08-20 10:16:13 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 5 Miro Hrončok 2019-08-21 15:47:12 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 6 Fedora Update System 2019-08-28 12:55:42 UTC
FEDORA-2019-9d8acd4287 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9d8acd4287

Comment 7 Fedora Update System 2019-08-29 21:01:48 UTC
fedmsg-1.1.1-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9d8acd4287

Comment 8 Miro Hrončok 2019-08-30 11:59:15 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 9 Geoffrey Marr 2019-09-03 21:27:22 UTC
Discussed during the 2019-09-03 blocker review meeting: [1]

The decision to classify this bug as a "RejectedFreezeException" was made as this is not on any of the release media, so we can just leave the update process to handle it.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-03/f31-blocker-review.2019-09-03-16.01.txt

Comment 10 Fedora Update System 2019-09-06 17:25:50 UTC
fedmsg-1.1.1-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.